<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use Illuminate\Support\Facades\Http;


class AppSessionController extends Controller
{
    
    public function proRequestSmsLogInToken(){
        return view('public.pro-request-sms-login-token');
    }

    public function proLogIn(){
        return view('public.pro-log-in');
    }

    public function processProLogIn(Request $request){
        $loginUrl = env('BACKEND_URL').'/api/session/proLogIn';

        $response = Http::asForm()->post($loginUrl, [
            'cellNumber' => $request->get('cellNumber'),
            'token' => $request->get('token'),
        ])->json();

        if(!$response['success']){
            return back()->with("message", $response['message']);
        }
        
        $sessionKey = $response['data'];

        $cookie = cookie()->forever('sessionKey', $sessionKey, '/');

        return redirect(route("pro-dashboard"))->withCookie($cookie);
    }

    public function processProLogOut(Request $request){
        $logOutUrl = env('BACKEND_URL').'/api/session/logOut';
        $response = Http::asForm()->withHeaders(['sessionKey'=>$request->cookie('sessionKey')])->post($logOutUrl)->json();
        if(!$response['success']){
            return back()->with("message", $response['message']);
        }
        
        $cookie = cookie()->forget('sessionKey', '/');
        return redirect(route('pro-request-sms-login-token'))->withCookie($cookie);
    }
}
